{ pkgs, ... }:
{
  imports = [ ./gtk.nix ];
  dconf.settings =
    let
      wallpaper = pkgs.fetchurl {
        url = "https://user.fm/files/v2-3834da30df507c4ba97a551571e98e33/nixppuccin.png";
        hash = "sha256-dwM+Wi2gse7Eu4f/suU2BsVACPHMfSaXYOpZPqx6/SQ=";
      };
    in
    {
      "org/cinnamon/desktop/background" = {
        picture-uri = "file://${wallpaper}";
      };
      "org/cinnamon/desktop/interface" = {
        font-name = "MonaspiceNe Nerd Font Regular 10";
      };
      "org/cinnamon/desktop/wm/preferences" = {
        titlebar-font = "MonaspiceNe Nerd Font Bold 10";
      };
      "org/gnome/desktop/interface" = {
        document-font-name = "MonaspiceXe Nerd Font Regular 10";
        monospace-font-name = "MonaspiceAr Nerd Font Regular 10";
      };
    };

}
