{ pkgs, ... }:
{
  home.packages = [ pkgs.spotify-player ];
  xdg.configFile."spotify-player/theme.toml".text = builtins.readFile (
    pkgs.fetchFromGitHub {
      owner = "catppuccin";
      repo = "spotify-player";
      rev = "002d51b02b3a2ebc0804e4839ee604dbdab4bec3";
      sha256 = "sha256-IUhzVrIBMi/Dn6+HV0m9i38Msg8zzzJlR85JeEVE7EU=";
    }
    + "/src/theme.toml"
  );
  xdg.configFile."spotify-player/app.toml".source =
    (pkgs.formats.toml { }).generate "spotify-player-config"
      {
        client_id = "41af4976ba70474fbd541ee8764a2cda";
        theme = "Catppuccin-mocha";
        enable_notify = false;
        enable_media_control = true;
        device.volume = 100;
      };
  programs.nushell.shellAliases.spt = "spotify_player";
}
