{ pkgs, config, ... }:
{
  imports = [
    ./aerc.nix
    ./atuin.nix
    ./bat.nix
    ./bottom.nix
    ./eza.nix
    ./fzf.nix
    ./git.nix
    ./go.nix
    ./gpg.nix
    ./jj.nix
    ./lazygit.nix
    ./llm.nix
    ./lsp.nix
    ./nushell.nix
    ./oh-my-posh.nix
    ./rust.nix
    ./senpai.nix
    ./ssh.nix
    ./xdg.nix
    ./zoxide.nix
  ];
  home = {
    packages = with pkgs; [
      age
      bitwarden-cli
      cachix
      duf
      du-dust
      fd
      just
      ripgrep
      usql

      tclip
      jolheiser.helix
      jolheiser.gomodinit
      jolheiser.cfg
      jolheiser.spectre
    ];
    activation.report-changes = config.lib.dag.entryAnywhere ''
      ${pkgs.nvd}/bin/nvd --nix-bin-dir=${pkgs.nix}/bin diff $oldGenPath $newGenPath
    '';
    stateVersion = "22.11";
  };

  programs.home-manager.enable = true;
}
