{ pkgs, ... }:
let
  key = "0xB853ADA5DA7BBF7A";
in
{
  home.packages = with pkgs; [ pinentry ];
  home.file.".mozilla/native-messaging-hosts/gpgmejson.json" = {
    enable = true;
    text = builtins.toJSON {
      name = "gpgmejson";
      description = "JavaScript binding for GnuPG";
      path = pkgs.gpgme.dev + /bin/gpgme-json;
      type = "stdio";
      allowed_extensions = [ "jid1-AQqSMBYb0a8ADg@jetpack" ];
    };
  };
  programs.gpg = {
    enable = true;
    settings = {
      default-key = key;
      trusted-key = key;
      no-comments = true;
      no-greeting = true;
      no-emit-version = true;
      keyid-format = "0xlong";
      list-options = "show-uid-validity";
      verify-options = "show-uid-validity";
      with-fingerprint = true;
      with-key-origin = true;
      keyserver = "hkps://keys.openpgp.org";
    };
  };
  services.gpg-agent = {
    enable = false;
    enableExtraSocket = true;
    enableSshSupport = true;
    pinentryPackage = pkgs.pinentry-gnome3;
  };
}
