{ pkgs, ... }:
{
  imports = [ ../nogui ];

  security = {
    rtkit.enable = true;
  };
  services = {
    pipewire = {
      enable = true;
      pulse.enable = true;
      alsa.enable = true;
    };
    pulseaudio.enable = false;
    xserver = {
      enable = true;
      displayManager.lightdm.enable = true;
      desktopManager.cinnamon.enable = true;
      xkb = {
        layout = "us";
        variant = "";
      };
    };
  };
  fonts.packages = with pkgs.nerd-fonts; [
    hack
    iosevka
    jetbrains-mono
    monaspace
  ];
  environment.systemPackages = [ pkgs.tailscale-systray ];
}
