{ pkgs, ... }:
let
  username = "jolheiser";
in
{
  imports = [
    ./hardware.nix
    ../common/gui
  ];

  boot = {
    kernelPackages = pkgs.linuxPackages_latest;
    kernelParams = [
      "quiet"
      "splash"
    ];
    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = true;
    };
  };

  networking = {
    hostName = "genmaicha";
    networkmanager.enable = true;
    firewall.enable = true;
  };

  services = {
    blueman.enable = true;
    openssh.enable = true;
    pcscd.enable = true;
    fwupd.enable = true;
  };

  virtualisation.docker.enable = true;

  users.users."${username}" = {
    extraGroups = [
      "wheel"
      "docker"
      "storage"
    ];
    isNormalUser = true;
  };

  system.stateVersion = "22.11";
}
